Subject: Re: Confused about "ident" filter

From: Paolo Bonzini <[email-masked]>
Date: Thu, 17 Apr 2008 16:36:09 +0200

Peter Karlsson wrote:
> I tried doing "git checkout test.perl", I tried "git clone" to get a new
> copy of the repository, but still it showed only "$Id$".

In fact I'm a little confused too.  The only way I found to expand 
"$Id$" consistently was "rm test.perl; git checkout test.perl", or "rm 
test.perl; git reset --hard HEAD".

I was not so surprised that clone did not expand, though IMHO it is a 
bug -- but I was *very* surprised to see that cloning a bare repository 
did not expand, either.

Paolo